Skip to main content
PUT
/
api
/
v
{version}
/
users
/
{id}
cURL
curl --request PUT \
  --url https://identity.payven.com.tr/api/v{version}/users/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "enabled": true,
  "roles": [
    "<string>"
  ],
  "merchantId": "<string>",
  "companyName": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "id": "<string>",
    "username": "<string>",
    "email": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "enabled": true,
    "emailVerified": true,
    "createdTimestamp": 123,
    "roles": [
      "<string>"
    ],
    "tenantId": "<string>",
    "merchantId": "<string>",
    "companyName": "<string>",
    "pendingApproval": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
version
string
required

Body

email
string | null
firstName
string | null
lastName
string | null
enabled
boolean | null
roles
string[] | null
merchantId
string | null
companyName
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object